Bug 123533 - [PATCH] print/latexdiff: update to 0.5
Summary: [PATCH] print/latexdiff: update to 0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-08 23:20 UTC by bf
Modified: 2008-05-30 22:50 UTC (History)
0 users

See Also:


Attachments
file.diff (4.96 KB, patch)
2008-05-08 23:20 UTC, bf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2008-05-08 23:20:01 UTC
I'm not quite sure why the updates to this distfile didn't cause fetch problems, but perhaps some of the CTAN mirrors are far, far out-of-date.  In addition to those changes that reflect changes in the port, I installed an additional useful bash script, which is why I also added bash to the runtime dependencies.  If that's considered undesirable, it can simply be removed from RUN_DEPENDS, in which case all but one of the scripts will work just fine.  I bypassed the bundled makefile entirely for the install target, which was easier than making a big patch for it, as had been done in the past.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-05-08 23:20:06 UTC
Maintainer of print/latexdiff,

Please note that PR ports/123533 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/123533

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-05-08 23:20:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Zeliboba 2008-05-12 07:12:40 UTC
dear Edwin Groothuis

Unfortunately I have no working FreeBSD installation currently and therefore I 
cannot verify this patch. So now I can approve the patch only blindly, 
hopefully it is correct.

best
Maxim Loginov

On Friday 09 May 2008 05:20:06 Edwin Groothuis wrote:
> Maintainer of print/latexdiff,
>
> Please note that PR ports/123533 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/123533
Comment 4 dfilter service freebsd_committer 2008-05-30 22:42:30 UTC
miwi        2008-05-30 21:42:26 UTC

  FreeBSD ports repository

  Modified files:
    print/latexdiff      Makefile distinfo pkg-descr 
  Removed files:
    print/latexdiff/files patch-Makefile 
  Log:
  - Update to 0.5
  
  PR:             123533
  Submitted by:   bf <bf2006a@yahoo.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +24 -7     ports/print/latexdiff/Makefile
  1.2       +3 -3      ports/print/latexdiff/distinfo
  1.2       +0 -49     ports/print/latexdiff/files/patch-Makefile (dead)
  1.2       +6 -3      ports/print/latexdiff/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2008-05-30 22:42:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!